jQuery(document).ready(function(){
	jQuery('#region').change(function(){
		getDepots(jQuery(this));
		getUsers(jQuery(this));
	});
	
	jQuery('#depot').change(function(){ 
		getUsers(jQuery(this));
	});
	
	jQuery('#role').change(function(){ 
		getUsers(jQuery(this));
	});
	 
	 
	jQuery('#region_all').click( function() {
		jQuery('#region option').prop('selected', true);
		getDepots(jQuery('#region'));
		getUsers(jQuery(this));
	});
	
	jQuery('#region_clear').click( function() {
		jQuery('#region option').prop('selected', false);
		getDepots(jQuery('#region'));
		getUsers(jQuery(this));
	});
	
	
	jQuery('#depot_all').click( function() {
		jQuery('#depot option').prop('selected', true);
		getUsers(jQuery(this));
		
	});
	
	jQuery('#depot_clear').click( function() {
		jQuery('#depot option').prop('selected', false);
		jQuery('#region option').prop('selected', false);
		getUsers(jQuery(this));
	});
	
	
	jQuery('#user_all').click( function() {
		jQuery('#user option').prop('selected', true);
	});
	
	jQuery('#user_clear').click( function() {
		jQuery('#user option').prop('selected', false);
	});
	
	$.fn.fillSelect = function(data) {
		$(this).children('option').remove();
		return this.each(function() {
			if (this.tagName == 'SELECT') {
				var dropdownList = this;
				if(data){
				$.each(data, function(index, optionData) {
				var option = new Option(optionData, index);
					/*if ($.browser.msie) {
						dropdownList.add(option);
					}
				   else {*/
						dropdownList.add(option, null);
				   //}
			   });
			}
		 }
		});
	}
});

function getDepots(elmObj){
	//alert('dfsf');
	var regionsIds = elmObj.val();
	//if (regionsIds){
		jQuery.ajax({
			type: 'POST',
			url: siteUrl+'Compaigns/getDepotOptions.json',
			data: {regionIds: regionsIds},
			dataType: 'json',
			beforeSend: function(){
				elmObj.after('<img src="'+siteUrl+'img/loading20.gif" class="loading"/>');
			},
			success: function(data){
				jQuery('.loading').remove();
				$('#depot').fillSelect(data.options);
				/*jQuery('#'+showId+'-reg').show();
				jQuery('#'+showId+'-ref').show();
				
				$('#'+showId+'-ref dd').html(data.label); 
				$('#'+showId+'-ref .wdsel').fillSelect(data.options);
				*/
			},
			statusCode: {
				404: function() {
					alert( message.noPage );
				}
			}
		});
	//}
}


function getUsers(elmObj){
	//alert('dfsf');
	var regionIds = $('#region').val(); 
	var depotIds = $('#depot').val(); 
	var roleId = $('#role').val(); 

		jQuery.ajax({
			type: 'POST',
			url: siteUrl+'calendars/getUserOptions.json',
			data: {regionIds: regionIds, depotIds: depotIds, roleId: roleId},
			dataType: 'json',
			beforeSend: function(){
				elmObj.after('<img src="'+siteUrl+'img/loading20.gif" class="loading"/>');
			},
			success: function(data){ 
				jQuery('.loading').remove();
				$('#user').fillSelect(data.users);
			},
			statusCode: {
				404: function() {
					alert( message.noPage );
				}
			}
		});

}